#!/usr/bin/env python
# -*- coding: utf-8 -*-

# # Prétraitement des logs
# 
# Traitements de logs générés par un QCM.

# In[1]:


from jyquickhelper import add_notebook_menu
add_notebook_menu()


# In[2]:


get_ipython().run_line_magic('matplotlib', 'inline')


# ## Observations brutes

# In[3]:


import os
names = [os.path.join("logs", _) for _ in os.listdir("logs") if '.log' in _]
names = names[-1:]
names


# In[4]:


with open(names[0], 'r', encoding="utf-8") as f:
    lines = f.readlines()
lines[5:7]


# Let's retrieve the expected answers from the QCM.

# In[5]:


from mathenjeu.tests import simple_french_qcm
qcm = simple_french_qcm()
expected = qcm.expected_answers()
expected


# In[6]:


import pandas
from mathenjeu.datalog import enumerate_qcmlogdf
dfs = pandas.concat(list(enumerate_qcmlogdf(names, expected)))
dfs.T


# In[7]:





# In[8]: